# listColleagues

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/colleagues |

| Field | Value |
|---|---|
| operationId | listColleagues |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /colleagues |
| tags | `Colleagues & Profiles` |
| summary | List colleagues in the people directory |
| badges | `{"name":"Viewer"}`, `{"name":"Admin"}`, `{"name":"Owner"}` |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| page | query | false | integer |  |
| pageSize | query | false | integer |  |
| search | query | false | string |  |
| department | query | true | array |  |
| connectionPower | query | true | array |  |
| location | query | false | string |  |
| jobTitle | query | false | string |  |
| status | query | false | string |  |
| managerId | query | false |  |  |
| segment | query | false | string |  |
| archivedType | query | false | string |  |
| sortBy | query | false | string |  |
| sortOrder | query | false | string |  |
| view | query | false | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Paginated list of colleagues | #/components/schemas/ListCompanyIndividualsResponseDto |
| 400 | Validation error (e.g., search term < 2 characters) | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
